fv::ContainerVector< T > Class Template Reference
Inheritance diagram for fv::ContainerVector< T >:
[legend]
Collaboration diagram for fv::ContainerVector< T >:
[legend]

## Public Member Functions

| ContainerVector (const std::string &name, std::vector< T > *container, Value< T > *value)
| ContainerVector (const std::string &name, Value< T > *value)
void | save_as (const std::string &fname)
Public Member Functions inherited from fv::Container< std::vector< T > >
| Container (const std::string &name, std::vector< T > *container)
virtual std::vector< T > * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save_as (const std::string &fname, const SaveOption &option)=0
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Private Member Functions

void | _fill ()

## Private Attributes

Value< T > * | value

## Additional Inherited Members

Protected Attributes inherited from fv::Container< std::vector< T > >
std::vector< T > * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/container.hpp